typedef struct
{
PCHAR   BEGIN_MARKER,
/*-----------------------------------------------------------------------*/
        Yes,
        Always,
        No,
        Cancel,
        Main_comment,
        Copyright_by_ACE_Compression_Software,
        file,
        files,
        User_break,
        __analyzing,
        Header_broken,
        Use_repair_function_to_recover_files_of_archive_,
        Copy,
        Copy_noun,
        Delete_it_anyway_,
        Delete_noun,
        testing,
        archive,
        __LOCKED_,
        Warning,
        File_already_exists_,
        File_comment,
        Contents_of,
        Not_enough_memory_to_perform_operation_,
        Select_smaller_dictionary_size_and_try_again_,
        Exclude_paths,
        Error_excluding_paths__two_or_more,
        specified_files_have_the_same_name_,
        Working,
        Creating_listfile__Please_wait_,
        No_files_specified_,
        Operation_aborted_,
        Is_no_ACE_archive_,
        Reading_archive__Please_wait__,
        Could_not_open_file_,
        Error_while_reading_archive,
        looking_for,
        New_Path,
        Enter_new_source_path,
        File_not_found_or_archive_broken_,
        processing,
        Ready_to_process,
        File_compressed_with_unknown_method_,
        Decompression_not_possible_,
        Extract,
        Test,
        Not_enough_memory_or_dictionary_of_archive_too_large_,
        Reduce_compression_dictionary_size__Then_try_again_,
        Authenticity_verification_of_archive_is_broken_,
        Archive_too_old_or_created_with_non_original_program_,
        Found_read_only__hidden_or_system_file_,
        Could_not_delete_file_or_directory_,
        Could_not_create_directory_,
        Access_denied_,
        Disk_might_be_write_protected_,
        Name_is_used_by_a_file_,
        Overwrite_,
        Could_not_create_destination_file_,
        Disk_access_error_,
        Password,
        Enter_password_,
          SUB_DIR,
        UP__DIR,
        Time_out_error_,
        __Press_any_key_to_continue__,
        Not_enough_space_on_destination_drive_to_extract,
        extracting,
        Found_encrypted_file_,
        Use_current_password_,
        Found_encrypted_file__No_password_specified_,
        Not_enough_memory_to_handle_filenames_,
        Make_more_memory_available__Then_try_again_,
        Error,
        CRC_OK,
        CRC_check_error_on,
        SFXUsage,
        CommlineHelp[APPS_EXE_MESSAGES_COMMLINEHELPLINES],
        command_line,
        Error_opening_output_file,
        Unknown_command,
        Missing_command_,
        Switch_error,
        Unknown_switch,
        List_file_does_not_exist,
        Extra_characters_on_line,
        No_such_archive_found_,
        processing_archive,
        Date_____Time__Packed______Size______Ratio_File,
        arcdiscr[8],
        created_on,
        with_ver,
        by,
        extracted,
        listed,
        tested,
        _s__d_files__totaling__s_bytes__compressed__s_,
        Got_CRC_check_errors_on__d__s_,
        Error_while_writing,
        Extract_archive_to_current_directory_,
        Error__archive_not_specified,
        This_is_not_a_fully_ACE_compatible_archive_,
        Trying_to_decompress_might_fail_,
        is_read_only__hidden_or_system_file_,
        Overwrite_it_anyway_,
        Please_enter_new_destination_directory_,

        END_MARKER;
/*-----------------------------------------------------------------------*/

  struct
  {
  PCHAR   Ok,
          LevelDescription[6],
          Enabled,
          Disabled,
          Name,
          ____Size_______Packed_____Date___Time_,
          ___Size______Date___Time_,
          Absent,
          Present,
          ________________Memory_________________,
          __________Temporary_directory__________,
          __________Archive_information__________,
          _______________Settings________________,
          BASE_ACE_ARCHIVER_v,
          __________Second_directory_________tab_,
          Archive_type,
          Volume_number,
          Created,
          Solid,
          SelFeXtracting,
          File_comments,
          Passwords,
          Recovery_record,
          Lock,
          Auth__verif_,
          Dictionary,
          Files,
          Total_length,
          Packed_length,
          Ratio,
          Version_to_extr_,
          Host_OS,
          ___Second_directory____tab_,
          UNREGISTERED,
          Free_memory,
          Add__update__fresh__sol_delete,
          Extract__view,
          Path,
          Space,
          Encrypt_files_with_password,
          Use_v2_0_compression,
          Compression_level,
          Dictionary_size,
          Add_recovery_record,
          Add_auth__verification,
          Make_always_solid,
          Create_always_SFX,
          Add_default_comment_file,
          Type,
          bytes_in,
          Free,
          Hotkeys,
          HotkeyStrs[9],
          Function_available_in,
          registered_version_only_,
          Error_reading_file_,
          Probable_cause_is_a_damaged_disk_,
          shellmenu[6][3],
          Make_archive,
          Enter_name_of_archive_to_make_,
          creating_archive,
          Not_enough_space_on_temporary_drive,
          to_create_temporary_archive_,
          __creating_temporary_archive,
          __repacking,
          Move_files,
          updating_archive,
          Error_creating_archive,
          Add_to_archive,
          Enter_name_of_archive_to_add_to_,
          Move,
          Move_noun,
          Not_all_selected_files_copied_,
          Deleting_will_not_happen_,
          Make_and_copy,
          Enter_name_of_archive_to_make_and_to_copy_to_,
          deleting,
          Delete,
          Modifying_volumes_impossible_,
          Change_archive_options_first_,
          Modify_of_locked_archives_impossible_,
          Create_new_archive_to_do_so_,
          Authenticity_verification_check_error_,
          AV_has_been_manipulated_or_does_not_match_yours_,
          Modify_of_archive_requires_higher_version_of_ACE_,
          Call_technical_support_or_use_given_web_sites_,
          Found_recovery_data,
          Found_no_recovery_data,
          Error_while_opening,
          Repair,
          Unable_to_repair_archive_by_recovery_data_,
          Recovery_data_damaged_,
          Too_many_bytes_damaged_,
          Archive_repaired,
          Archive_is_not_damaged__repairing_not_possible,
          Scanning_for_headers,
          Archive_header_broken,
          Mark_archive_as_solid_,
          Add__to_archive,
          Add,
          to_archive___Size,
          Packed,
          File_header_broken,
          Found,
          archive_header,
          CRC_check_error__Archive_broken_or_password_incorrect_,
          Recreation_failed_,
          Repacking_failed__Operation_aborted_,
          Error_while_recreating_archive,
          Files_can_be_found_at,
          Archive_is_already_solid_,
          Archive_is_already_self_extracting_,
          Adding_SFX_module_to_multiple_volume_archive_impossible_,
          Use_recreate__by_pressing_ALT_F8__,
          Encrypt,
          encrypting,
          CRC_check_error__Password_might_be_incorrect_,
          Encryption_failed_,
          adding_comment_to,
          Not_enough_space_to_save,
          Could_not_create_file_in_current_temporary_directory_,
          Disk_is_write_protected_or_directory_does_not_exist_,
          copying,
          to,
          File_does_not_exist_,
          to_create_temporary_file_,
          Second_directory_is_part_of_first_directory_,
          Delete_would_effect_copied_files_,
          Invalid_list_file_,
          Found_binary_character_,
          Sorting_files__Please_wait_,
          Archive_is_broken_,
          Ready_to_process_next_volume,
          Error_creating_volume,
          Select_drive,
          Deleting,
          Make_directory,
          Enter_directory_to_make_,
          Search,
          Select_files,
          Unselect_files,
          Enter_file_mask,
          viewmenu[2],
          Error_opening_file_,
          Are_you_sure_,
          View,
          Col,
          Enter_search_string_,
          Searching_not_succesful_,
          String_not_found_,
          Overwrite,
          Copying,
          Not_enough_space_on_destination_disk_to_copy,
          Fresh,
          Fresh_noun,
          Update,
          Update_noun,
          Copy_is_not_possible_,
          Directories_are_equal_,
          Copy_all_files_of_multiple_volume_archive_,
          directory,
          Not_enough_space_on_temporary_drive_to_continue_,
          Select_new_temp_path_and_repeat_operation_,
          Enter_directory_for_temporary_files,
          Choose_a_non_write_protected__fast_drive_,
          Specify_full_path_of_,
          Directory_does_not_exist_,
          Length_of_temporary_path_might_cause_problems_,
          Choose_shorter_one_,
          Error_while_saving_setup_at,
          Create_archive,
          APPS_ACE_EXE_SHELL_OPTIONS_CreateArchive[APPS_ACE_EXE_MESSAGES_CREATIONARCHIVINGOPTIONSLINES],
          Set_v2_0_compression_details,
          APPS_ACE_EXE_SHELL_OPTIONS_V20Settings,
          Select_SFX,
          Select_Language,
          None,
          Default,
          File,
          APPS_ACE_EXE_SHELL_OPTIONS_SFXDescription[APPS_ACE_EXE_MESSAGES_SFXDESCRIPTIONLINES],
          __do_not_add_SFX_module_to_archive__,
          Volume_size,
          Enter_volume_size__in_Thousands__,
          Invalid_volume_size_,
          Must_be_greater_than_64K_,
          Set_compression_level,
          Select_dictionary_size,
          APPS_ACE_EXE_SHELL_OPTIONS_ChangeArchiveOptions[6],
          File_options,
          APPS_ACE_EXE_SHELL_OPTIONS_ChangeFileOptions[2],
          Reenter_password_,
          Passwords_do_not_match_,
          Try_again_,
          Options,
          Shell_options,
          External_programs,
          Set_temporary_directory,
          APPS_ACE_EXE_SHELL_OPTIONS_ChangeOptions[APPS_ACE_EXE_MESSAGES_CHANGEOPTIONSLINES],
          Archive_options,
          APPS_ACE_EXE_SHELL_OPTIONS_GeneralArchive[APPS_ACE_EXE_MESSAGES_ARCHIVEOPTIONWINLINES],
          shelloption_win[13],
          ExternalProgramsOptions[2],
          External_programs_called_pressing__s,
          __free__,
          Files_,
          Command_,
          Command_line_log_file,
          Enter_file_to_log_command_line_output_to_,
          Number_too_long_or_containing,
          unallowed_char_,
          Could_not_open_source_file_,
          Disk_access_error_or_file_already_in_use_,
          Copy_of_this_file_to_current_archive_dir_impossible_,
          Resulting_filename_too_long_,
          Source_is_directory__destination_is_file_,
          Delete_directory_first,
          Tried_to_overwrite_directory_with_file_,
          adding,
          Call_error,
          Could_not_find_executable_,
          Fatal_error,
          The_file_ACE_EXE_has_been_modified_,
          File_possibly_infected_by_a_virus_,
          commmenu[2],
          Enter_default_file_for_main_comment_,
          Could_not_read_disk_in_drive,
          Enter_new_drive_,
          Insert_disk_,
          Directories,
          Time,
          Estimated,
          Read,
          Write,
          Actions,
          CRC_check_failed,
          shellhelp[APPS_ACE_EXE_MESSAGES_SHELLHELPPAGES][APPS_ACE_EXE_MESSAGES_MAXHELPLINES],
          viewhelp[APPS_ACE_EXE_MESSAGES_VIEWERHELPPAGES][APPS_ACE_EXE_MESSAGES_MAXHELPLINES],
          Help___page,
          REGISTERED__AV_,
          Error_at_switch__d__valid_values_are,
          Invalid_compression_level_,
          Possible_values__0__5,
          No_valid_archive_format,
          File_not_found,
          Wildcards_in_archive_name_at_these_operations_not_allowed_,
          Move__Add__Update_and_Fresh,
          Enter_destination_directory_,
          BASE_ACE_Help_file,
          adding_recovery_record,
          locking_archive,
          __keeping,
          Not_enough_space_to_save_new_archive_,
          Enter_new_destination_path_,
          Be_sure_about_enough_space__There_are,
          bytes_required_,
          Enter_new_destination_path__ESC_to_cancel_saving_,
          File_exists,
          Overwrite_existing_archive_,
          Could_not_open_archive_,
          Create_new_archive,
          Found_existing_archive_file__overwrite,
          Could_not_open_archive_for_update__probably_read_only___,
          Error_opening_ACE_DOC_,
          File_not_present_in_ACE_directory_,
          REGISTERED_,
          REG_,
          no_AV,
          Error_while_reading_ACE_KEY_,
          Registration_check_failed_,
          Registration,
          Replace_existing_registration_data_,
          Could_not_create,
          Registration__General_key,
          You_own_a_general_key_only__Full_registration_is_free_,
          You_can_order_your_OWN_AV_string__Please_read_FREE_DOC_,
          Enter_your_user_name,
          Input_the_name_you_gave_to_the_registration_site_,
          Enter_your_AV_string,
          Input_the_AV_string_you_ordered_at_the_registration_site_,
          Check_on_registration_key_failed_,
          Make_sure_you_input_it_correctly_,
          Register_ACE,
          Please_enter_the_Registration_Code_,
          Registration_process,
          was_successful_,
          The_existing_registration_code_is,
          added,
          Total,
          Destination_file_for_comment_must_not_contain_wildcards_,
          Specify_valid_file_name_please_,
          __Enter_comment_please__press_CTRL_Z_for_end_,
          Can_not_add_recovery_record_,
          Add_SFX_module,
          default_SFX_module,
          CommlineHelp[APPS_ACE_EXE_MESSAGES_COMMLINEHELPLINES],
          Error_reading_SFX_file_,
          Error_while_reading,
          Error_while_writing_archive,
          Registration_failed_,
          Registration_key_not_valid_for_commandline_Ace_,
          Your_general_key_expired__Please_call_e_merge_GmbH_at__49_251_43000,
          Your_key_has_been_expired__Please_call_e_merge_GmbH_at__49_251_43000,
          or_write_to_sales_winace_com_to_get_your_own_personalized_key_,
          or_write_to_sales_winace_com_to_update_your_licence_,
          Key_expiration,
          Setup,
          Succesfully_saved_setup_in,
          Could_not_detect_space_on_network_drive_because_of_Win95_OSR1_bug_,
          Assuming_there_is_enough_disk_space_free_,
          Archive_operations,
/*-----------------------------------------------------------------------*/
          END_MARKER;
  } ACE;
} tSTR;


DECLEXT tSTR
        STR;
